When multiple load ioctls are issued the reference count on older
'new_tables' wasn't being dropped.  [Christophe Saout]
--- diff/drivers/md/dm-ioctl-v4.c	2003-08-01 10:00:29.000000000 +0100
+++ source/drivers/md/dm-ioctl-v4.c	2003-08-01 10:02:57.000000000 +0100
@@ -817,6 +817,8 @@
 		return -ENXIO;
 	}
 
+	if (hc->new_map)
+		dm_table_put(hc->new_map);
 	hc->new_map = t;
 	param->flags |= DM_INACTIVE_PRESENT_FLAG;
 
